<h1>Add a Post</h1>
<div class="card card-body mb-3">
  <form>
    <div class="form-group">
      <label>Title</label>
        <input type="text" [(ngModel)]="currentPost.title" class="form-control" name="title" #title>

      <label>Body</label>
        <input type="text" [(ngModel)]="currentPost.body" class="form-control" name="body" #body>

      <input type="hidden" [(ngModel)]="currentPost.id" name="id">
    </div>

    <button
      *ngIf="!isEdit"
      (click)="addPost(title.value, body.value)"
      class="btn btn-outline-dark btn-block">Submit Post
    </button>

    <button
      *ngIf="isEdit"
      (click)="updatePost()"
      class="btn btn-outline-warning btn-block">
      Update Post
    </button>

  </form>
</div>
